Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj	(revision 6891)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj	(revision 6892)
@@ -164,5 +164,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Pugin.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="Views\HiveJobManagerView.cs">
       <SubType>UserControl</SubType>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.3.csproj	(revision 6891)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.3.csproj	(revision 6892)
@@ -35,257 +35,257 @@
   <ItemGroup>
     <Reference Include="ALGLIB-3.1.0">
-      <HintPath>..\..\..\..\core\sources\bin\ALGLIB-3.1.0.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\ALGLIB-3.1.0.dll</HintPath>
     </Reference>
     <Reference Include="Google.ProtocolBuffers-0.9.1">
-      <HintPath>..\..\..\..\core\sources\bin\Google.ProtocolBuffers-0.9.1.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\Google.ProtocolBuffers-0.9.1.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.ALGLIB-3.1.0">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.ALGLIB-3.1.0.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.ALGLIB-3.1.0.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.DataAnalysis-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.DataAnalysis-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.DataAnalysis-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.DataAnalysis.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.DataAnalysis.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.DataAnalysis.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.EvolutionStrategy-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.EvolutionStrategy-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.EvolutionStrategy-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.GeneticAlgorithm-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.LocalSearch-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.LocalSearch-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.LocalSearch-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.NSGA2-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.NSGA2-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.NSGA2-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.SimulatedAnnealing-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.SimulatedAnnealing-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.SimulatedAnnealing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.TabuSearch-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.TabuSearch-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Algorithms.TabuSearch-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Analysis-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Analysis-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Analysis-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Analysis.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Analysis.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Analysis.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Clients.Common-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Clients.Common-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Clients.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.CodeEditor-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.CodeEditor-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.CodeEditor-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Collections-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common.Resources-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Core.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Core.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Data-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Data.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Data.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Data.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.DebugEngine-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.DebugEngine-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.DebugEngine-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.IntegerVectorEncoding-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.PermutationEncoding-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.PermutationEncoding-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.PermutationEncoding-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.PermutationEncoding.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.PermutationEncoding.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.PermutationEncoding.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.RealVectorEncoding-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.RealVectorEncoding-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.RealVectorEncoding-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.LibSVM-1.6.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.LibSVM-1.6.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.LibSVM-1.6.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.log4net-1.2.10.0">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.log4net-1.2.10.0.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.log4net-1.2.10.0.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Netron-3.0.2672.12446">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Netron-3.0.2672.12446.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Netron-3.0.2672.12446.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Operators-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Operators.Programmable-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Operators.Programmable-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Operators.Programmable-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Operators.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Operators.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Operators.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Operators.Views.GraphVisualization-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Operators.Views.GraphVisualization-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Operators.Views.GraphVisualization-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimization-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimization.Operators-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Optimization.Operators-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Optimization.Operators-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimization.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Optimization.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Optimization.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimizer-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Optimizer-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Optimizer-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.ParallelEngine-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.ParallelEngine-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.ParallelEngine-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Parameters-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Parameters-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Parameters-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Parameters.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Parameters.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Parameters.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Persistence.GUI-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Persistence.GUI-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Persistence.GUI-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ArtificialAnt-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ArtificialAnt-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ArtificialAnt-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ArtificialAnt.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ArtificialAnt.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ArtificialAnt.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis.Classification-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Classification-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Classification-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis.Classification.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Classification.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Classification.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis.Regression-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Regression-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Regression-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.DataAnalysis.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ExternalEvaluation-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ExternalEvaluation.GP-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.GP-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.GP-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.ExternalEvaluation.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.ExternalEvaluation.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.Knapsack-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.Knapsack-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.Knapsack-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.Knapsack.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.Knapsack.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.Knapsack.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.OneMax-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.OneMax-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.OneMax-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.OneMax.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.OneMax.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.OneMax.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TestFunctions-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TestFunctions.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TravelingSalesman-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.TravelingSalesman-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.TravelingSalesman-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TravelingSalesman.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.VehicleRouting-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.VehicleRouting-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.VehicleRouting-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.VehicleRouting.Views-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.VehicleRouting.Views-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Problems.VehicleRouting.Views-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.ProtobufCS-0.9.1">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.ProtobufCS-0.9.1.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.ProtobufCS-0.9.1.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Random-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Random-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Random-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Selection-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Selection-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Selection-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.SequentialEngine-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.SharpDevelop-3.1.1.5327">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.SharpDevelop-3.1.1.5327.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.SharpDevelop-3.1.1.5327.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Tracing-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Tracing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Visualization.ChartControlsExtensions-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.WinFormsUI-2.3.1">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.WinFormsUI-2.3.1.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.WinFormsUI-2.3.1.dll</HintPath>
     </Reference>
     <Reference Include="ICSharpCode.NRefactory">
-      <HintPath>..\..\..\..\core\sources\bin\ICSharpCode.NRefactory.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\ICSharpCode.NRefactory.dll</HintPath>
     </Reference>
     <Reference Include="ICSharpCode.SharpDevelop.Dom">
-      <HintPath>..\..\..\..\core\sources\bin\ICSharpCode.SharpDevelop.Dom.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\ICSharpCode.SharpDevelop.Dom.dll</HintPath>
     </Reference>
     <Reference Include="ICSharpCode.SharpZipLib">
-      <HintPath>..\..\..\..\core\sources\bin\ICSharpCode.SharpZipLib.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\ICSharpCode.SharpZipLib.dll</HintPath>
     </Reference>
     <Reference Include="ICSharpCode.TextEditor">
-      <HintPath>..\..\..\..\core\sources\bin\ICSharpCode.TextEditor.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\ICSharpCode.TextEditor.dll</HintPath>
     </Reference>
     <Reference Include="LibSVM-1.6.3">
-      <HintPath>..\..\..\..\core\sources\bin\LibSVM-1.6.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\LibSVM-1.6.3.dll</HintPath>
     </Reference>
     <Reference Include="log4net">
-      <HintPath>..\..\..\..\core\sources\bin\log4net.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\log4net.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework">
@@ -293,8 +293,8 @@
     </Reference>
     <Reference Include="Mono.Cecil">
-      <HintPath>..\..\..\..\core\sources\bin\Mono.Cecil.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\Mono.Cecil.dll</HintPath>
     </Reference>
     <Reference Include="Netron.Diagramming.Core-3.0.2672.12446">
-      <HintPath>..\..\..\..\core\sources\bin\Netron.Diagramming.Core-3.0.2672.12446.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\Netron.Diagramming.Core-3.0.2672.12446.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -307,5 +307,5 @@
     <Reference Include="System.ServiceModel.Web" />
     <Reference Include="WeifenLuo.WinFormsUI.Docking-2.3.1">
-      <HintPath>..\..\..\..\core\sources\bin\WeifenLuo.WinFormsUI.Docking-2.3.1.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\WeifenLuo.WinFormsUI.Docking-2.3.1.dll</HintPath>
     </Reference>
   </ItemGroup>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/HeuristicLab.HiveEngine.ConsoleTests-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/HeuristicLab.HiveEngine.ConsoleTests-3.3.csproj	(revision 6891)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/HeuristicLab.HiveEngine.ConsoleTests-3.3.csproj	(revision 6892)
@@ -67,38 +67,38 @@
   <ItemGroup>
     <Reference Include="HeuristicLab.Algorithms.GeneticAlgorithm-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Collections-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common.Resources-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Data-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Operators-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimization-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TestFunctions-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.SequentialEngine-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
+      <HintPath>..\..\..\..\..\core\sources\bin\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6891)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6892)
@@ -90,20 +90,20 @@
   <ItemGroup>
     <Reference Include="HeuristicLab.Clients.Common-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Clients.Common-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Clients.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common.Resources-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <HintPath>..\..\..\core\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
